Revenir à version antérieure rpm

Avatar de l’utilisateur
websahib
Messages : 3
Inscription : 24 février 2015, 11:43

Revenir à version antérieure rpm

Message par websahib » 24 février 2015, 11:55

Bonjour,
Pour tous les cadors et chefs de CENTOS, je vous prie de pardonner ma question de débutant (que je suis !) !
Voilà en fait j'ai un problème avec un serveur dédié chez ovh (avec OVH3 = CentOs 6) et une mise à jour automatique qui semble avoir installé la version la plus récente mais qui semble comporter un bug vis à vis du SSL et des certificats ...
En gros j'ai un site qui utilise l'IPN de Paypal pour mettre à jour une base et j'ai un autre site basé sur Wordpress et WooCommerce !
Dans les deux cas j'ai une réponse en erreur du type (en contact et liaison avec paypal) : Problem with the SSL CA cert (path? access rights?)

Or le fameux bug POODLE est géré et pour CurL le SSL V2 et V3 sont effectivement non actifs ! Donc Paypal ne peut pas être concerné, mais mon système semble bloquer sur des choses bizarres sur les certificats !! (que je n'utilise pas !).
En gros j'ai suivi la logique indiquée ici :
https://wordpress.org/support/topic/if- ... -processed
If you're running CentOS 6, and if today your PayPal orders stopped being registered by WooCommerce... then see if you've got a newly installed nss-3.16.1-7.el6_5.x86_64 RPM. If so, roll it back to the previously installed version. This affected a server of mine, and the problem was SSL validation failing with the latest nss when WooCommerce was calling PayPal when IPN events came in. I haven't looked further into the cause yet, but am reporting it upstream.
Qui vous l'aurez compris et une personne qui comme moi est emmernuyé avec paypal, mais n'a rien fait et a remarqué que seule une mise à jour a été faite à l'insu de son plein gré !!!
D'où ma propre question à deux vitesses :

1 - comment connaitre les versions installées ?
2 - comment revenir en arrière (si possible) ?

Merci d'avance ! En espérant avoir été clair !!
Je rame donc pitié !

Avatar de l’utilisateur
nouvo09
Messages : 2042
Inscription : 20 octobre 2009, 08:14
Localisation : Paris, France

Re: Revenir à version antérieure rpm

Message par nouvo09 » 24 février 2015, 14:18

Bonjour

Il faut tout d'abord savoir que la plupart du temps, OVH installe des versions maison (customisées) des OS. Donc la première des choses est de savoir quelle est exactement ta version, avec la commande

uname -a

pour savoir quelle version de nss:

rpm -q nss

ensuite éventuellement pour revenir en arrière:

yum downgrade nss

mais là il faut être très prudent au cas où il y aurait des dépendances.
C'est pas parce que c'est difficile qu'on ose pas,
c'est parce qu'on ose pas que c'est difficile !

Avatar de l’utilisateur
websahib
Messages : 3
Inscription : 24 février 2015, 11:43

Re: Revenir à version antérieure rpm

Message par websahib » 24 février 2015, 16:28

nouvo09 a écrit :Bonjour
Il faut tout d'abord savoir que la plupart du temps, OVH installe des versions maison (customisées) des OS. Donc la première des choses est de savoir quelle est exactement ta version, avec la commande
uname -a
pour savoir quelle version de nss:
rpm -q nss
ensuite éventuellement pour revenir en arrière:
yum downgrade nss
mais là il faut être très prudent au cas où il y aurait des dépendances.
Houlà merci de tes indications ! J'ai mis le doigt dans un truc assez compliqué qui semble différent de ce que j'avais évalué !!

Apparemment c'est nettement différent et nss ne semble pas (ou plus) installé !!
En plus à la console j'ai une réponse bizarre :

/bin/rpm -q nss
erreur: rpmdbNextIterator: on saute h# 906 Entête V3 RSA/SHA1 Signature, key ID c105b9de: BAD
le paquetage nss n'est pas installé


alors selon tes conseils avisés je vais prendre de grosses pincettes et chercher une sortie honorable !!

Par contre si tu as une solution je suis preneur !
Je rame donc pitié !

Avatar de l’utilisateur
nouvo09
Messages : 2042
Inscription : 20 octobre 2009, 08:14
Localisation : Paris, France

Re: Revenir à version antérieure rpm

Message par nouvo09 » 24 février 2015, 18:46

Tu peux peut-être interroger la hotline de OVH, mais j'ignore s'ils assurent le support pour les OS qu'ils fournissent.
C'est pas parce que c'est difficile qu'on ose pas,
c'est parce qu'on ose pas que c'est difficile !

Avatar de l’utilisateur
websahib
Messages : 3
Inscription : 24 février 2015, 11:43

Re: Revenir à version antérieure rpm

Message par websahib » 24 février 2015, 21:46

nouvo09 a écrit :Tu peux peut-être interroger la hotline de OVH, mais j'ignore s'ils assurent le support pour les OS qu'ils fournissent.
ouaip tu as raison !! mais à mon avis, cela va fiche le boxif !! vu les problèmes de mise à jour !!

va falloir que je m'y mette à installer centos tout seul comme un grand !!
Je rame donc pitié !

Répondre